// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	models "gitlab.com/nikita.morozov/bot-ms-core/models"
)

// SocketUsecase is an autogenerated mock type for the SocketUsecase type
type SocketUsecase struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *SocketUsecase) Create(item *models.Socket) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Socket) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *SocketUsecase) Delete(item *models.Socket) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Socket) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetById provides a mock function with given fields: id
func (_m *SocketUsecase) GetById(id uint) (*models.Socket, error) {
	ret := _m.Called(id)

	var r0 *models.Socket
	if rf, ok := ret.Get(0).(func(uint) *models.Socket); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByInnerSlug provides a mock function with given fields: slug, actionId
func (_m *SocketUsecase) GetByInnerSlug(slug string, actionId uint) (*models.Socket, error) {
	ret := _m.Called(slug, actionId)

	var r0 *models.Socket
	if rf, ok := ret.Get(0).(func(string, uint) *models.Socket); ok {
		r0 = rf(slug, actionId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, uint) error); ok {
		r1 = rf(slug, actionId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByOuterEvents provides a mock function with given fields: actionId
func (_m *SocketUsecase) GetByOuterEvents(actionId uint) (*[]models.Socket, error) {
	ret := _m.Called(actionId)

	var r0 *[]models.Socket
	if rf, ok := ret.Get(0).(func(uint) *[]models.Socket); ok {
		r0 = rf(actionId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(actionId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByOuterSlug provides a mock function with given fields: slug, actionId
func (_m *SocketUsecase) GetByOuterSlug(slug string, actionId uint) (*models.Socket, error) {
	ret := _m.Called(slug, actionId)

	var r0 *models.Socket
	if rf, ok := ret.Get(0).(func(string, uint) *models.Socket); ok {
		r0 = rf(slug, actionId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, uint) error); ok {
		r1 = rf(slug, actionId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ListInner provides a mock function with given fields: actionId
func (_m *SocketUsecase) ListInner(actionId uint) (*[]models.Socket, error) {
	ret := _m.Called(actionId)

	var r0 *[]models.Socket
	if rf, ok := ret.Get(0).(func(uint) *[]models.Socket); ok {
		r0 = rf(actionId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(actionId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ListOuter provides a mock function with given fields: actionId
func (_m *SocketUsecase) ListOuter(actionId uint) (*[]models.Socket, error) {
	ret := _m.Called(actionId)

	var r0 *[]models.Socket
	if rf, ok := ret.Get(0).(func(uint) *[]models.Socket); ok {
		r0 = rf(actionId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(actionId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *SocketUsecase) Update(item *models.Socket) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Socket) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
